using UnityEngine;
using System.Collections;

public class FollowCamera : MonoBehaviour {
	
	private Transform _player;
	private Vector3 _delta;
	
	// Use this for initialization
	void Start () {
		_player = GameObject.FindGameObjectWithTag ( "Player" ).transform;
		_delta = transform.position - _player.position;
	}
	
	// Update is called once per frame
	void Update () {
		transform.position = new Vector3 ( _player.position.x, _delta.y, _delta.z + _player.position.z );
	}
}
