using UnityEngine;
using System.Collections;

public class RollingBall : MonoBehaviour {
	
	public float radius;
	public Transform ball;
	
	private CharacterController _controller;
	
	// Use this for initialization
	void Start () {
		_controller = GetComponent <CharacterController> ();
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		Vector3 cross = Vector3.Cross ( Vector3.up, _controller.velocity );
		ball.transform.Rotate ( cross, _controller.velocity.magnitude * radius, Space.World );
	}
}
